# PMs, mentions, and alerts

You can configure desktop, mobile, and email notifications for
[private messages (PMs)](/help/private-messages),
[mentions](/help/mention-a-user-or-group), and [alert
words](#alert-words).

## Configure notifications

These settings will affect notifications for private messages, group
private messages, mentions, and alert words.

{start_tabs}

{settings_tab|notifications}

1. In the **Notification triggers** table, toggle the settings for **PMs, mentions, and alerts**.

{end_tabs}

You can also hide the content of private messages (and group private
messages) from desktop notifications.

{start_tabs}

1. Under **Desktop message notifications**, toggle
**Include content of private messages in desktop notifications**.

{end_tabs}

## Wildcard mentions

By default, wildcard mentions (`@**all**`, `@**everyone**`) trigger
email/push notifications as though they were personal @-mentions.  You
can toggle whether you receive notifications for wildcard mentions.

{start_tabs}

{settings_tab|notifications}

1.  In the **Notification triggers** table, toggle the **@all** checkbox for **Streams**.

{end_tabs}

Additionally, you can override this configuration for individual
streams in your [Stream settings](/help/stream-notifications), and
administrators can [restrict use of wildcard
mentions](/help/restrict-wildcard-mentions) in large streams.

## Alert words

Zulip lets you to specify **alert words or phrases** that notify you whenever
the alert word is included in a message. Alert words are case-insensitive.

### Add an alert word or phrase

{start_tabs}

{settings_tab|alert-words}

1. Add a word or phrase.

1. Click **Add alert word**.

{end_tabs}

## Related articles

* [Desktop notifications](/help/desktop-notifications)
* [Email notifications](/help/email-notifications)
* [Mobile notifications](/help/mobile-notifications)
* [Restrict wildcard mentions](/help/restrict-wildcard-mentions)
* [Stream notifications](/help/stream-notifications)
